{% extends "base_generic.html" %}

{% block content %}

<form autocomplete='off' class='form' method="post" action="{% url 'open_node' node_id=node.id %}">
    {% csrf_token %}
    <div class='control header-icons'>
        {% for level_node in level_nodes %}
        <a class='icon {{ level_node.class }}' href="{% url 'node' node_id=level_node.id %}" style="text-decoration: none;">
            <img src="{{ level_node.icon }}" alt="">
        </a>
        {% endfor %}
    </div>
    <h2>{{ node.question }}</h2>
    {% if node.question_hint %}
    <h2>Подсказка: {{ node.question_hint }}</h2>
    {% endif %}
    {% if node.image %}
    <img class="node-img" src="{{ node.image }}" alt="">
    {% endif %}
    <div class='control block-cube block-input'>
        {{ form.answer_guess }}
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
    </div>
    <button class='btn block-cube block-cube-hover' name='submit' type='submit'>
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
        <div class='text'>
            Ответить
        </div>
    </button>
    {% if error_msg %}
    <script>
        function scrollDown() {
            document.querySelector('.error').scrollIntoView({
                behavior: 'smooth'
            });
        }
        window.addEventListener("load", function() {
            setTimeout(scrollDown, 500);
        });
    </script>
    <div class='error'>
        <p>{{ error_msg }}</p>
    </div>
    {% endif %}
</form>

{% endblock %}
